const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    global ebx;
    global edi;
    global esi;
    global fpu_stat_TOP;
    ebx = z.x_global_2d_to_2d_local;
    esi = arg1[48];
    edi = arg1 + 128;
    fpu_stat_TOP = fpu_stat_TOP_global_2d_to_2d_local - &global_var_1_1;
    z.x = function_2a();
    return function_c5(&var2, &var2, &var2);

# Address range: 0x2a - 0xc2;
def function_2a():;
    global fpu_stat_TOP;
    # 0x2a;
    *((ebp - 8)) = 0;
    fabs(ebx);
    if __asm_fnstsw(fpsw) & 256 != 0:;
        v2_3e = ebp - 8;
        *v2_3e = *v2_3e + &global_var_1_1;
    # 0x41;
    fabs(z.y);
    if __asm_fnstsw(fpsw) & 256 != 0:;
        v2_4d = ebp - 8;
        *v2_4d = *v2_4d + &global_var_1_1;
    st7_global_2d_to_2d_local = fabs(z.z) # st7;
    if __asm_fnstsw(fpsw) & 256 != 0:;
        v2_5c = ebp - 8;
        *v2_5c = *v2_5c + &global_var_1_1;
    if *((ebp - 8)) ^ *((esi - 104)) % 4 != 0:;
        # 0x5f;
        v0_bf = fpu_stat_TOP;
    else:;
        # 0x6e;
        st7_global_2d_to_2d_local *= *((esi - 100));
        *ebx = ebx - (-1.0 if __asm_fnstsw(fpsw) & 256 == 0 else 1.0) * st7_global_2d_to_2d_local;
        v1_91 = __asm_fnstsw(fpsw) # bp+91;
        v0_9b = fpu_stat_TOP - &global_var_1_1 - &global_var_1_1 + 2 * &global_var_1_1 - &global_var_1_1;
        *z.y = z.y - (-1.0 if v1_91 & 256 == 0 else 1.0) * st7_global_2d_to_2d_local;
        v1_ab = __asm_fnstsw(fpsw);
        v0_b5 = v0_9b - &global_var_1_1 + 2 * &global_var_1_1 - &global_var_1_1;
        *z.z = z.z - (-1.0 if v1_ab & 256 == 0 else 1.0) * st7_global_2d_to_2d_local;
        v0_bf = v0_b5 - &global_var_1_1 + 2 * &global_var_1_1;
    # 0xbf;
    fpu_stat_TOP = v0_bf + &global_var_1_1;
    return st7_global_2d_to_2d_local;

# Address range: 0xc5 - 0x218;
def function_c5(arg1, arg2, arg3):;
    global ebx;
    global fpu_stat_TOP;
    # 0xc5;
    *z.z = z.z * *((esi - 44)) + z.y * *((esi - 48)) + ebx * *((esi - 52));
    *z.y = z.z * *((esi - 56)) + z.y * *((esi - 60)) + ebx * *((esi - 64));
    *ebx = z.z * *((esi - 68)) + z.y * *((esi - 72)) + ebx * *((esi - 76));
    if __asm_fnstsw(fpsw) & 256 == 0:;
        pass;
    else:;
        # 0x127;
        if __asm_fnstsw(fpsw) & 256 != 0:;
            pass;
    v0_133 = fpu_stat_TOP + 2 * &global_var_1_1 + &global_var_1_1 + &global_var_1_1 # bp+133;
    if __asm_fnstsw(fpsw) & 256 == 0:;
        pass;
    else:;
        # 0x143;
        if __asm_fnstsw(fpsw) & 256 != 0:;
            pass;
    # 0x14f;
    if __asm_fnstsw(fpsw) & 256 == 0:;
        pass;
    else:;
        # 0x15f;
        if __asm_fnstsw(fpsw) & 256 != 0:;
            pass;
    v1_1c4 = __asm_fnstsw(fpsw);
    v0_1d1 = v0_133 - &global_var_1_1 - &global_var_1_1 + 2 * &global_var_1_1;
    if v1_1c4 & 256 == 0:;
        v1_1d5 = __asm_fnstsw(fpsw);
        v0_1e2 = v0_1d1 - &global_var_1_1;
        if v1_1d5 & 256 == 0:;
            # 0x1db;
            v7_1dd = *((esi - 16));
            v0_1e7 = v0_1e2 + &global_var_1_1;
        else:;
            # 0x1e2;
            v7_1dd = *((esi - 16));
            v0_1e7 = v0_1e2 + 1;
    else:;
        # 0x1ca;
        v7_1dd = *((esi - 24));
        v0_1e7 = v0_1d1;
    v3_1e7 = z.z + 8;
    *v3_1e7 = v7_1dd * *v3_1e7;
    v4_1ef = v7_1dd * v7_1dd;
    v4_1f1 = v4_1ef * v4_1ef;
    v7_1f5 = v4_1f1 * v4_1f1 + *((edi - 88));
    *z.z = v7_1f5;
    v7_1fa = v7_1f5 + *((edi - 96));
    *z.y = v7_1fa;
    *ebx = v7_1fa + *((edi - 104));
    fpu_stat_TOP = v0_1e7 + -3 - &global_var_1_1 - &global_var_1_1;
    function_2a();
    v0_20d = ebx;
    ebx = arg3;
    return v0_20d;


	}